Run Cr9idata.pl Show Error

(Doc ID 1536365.1)

Last updated on OCTOBER 17, 2016

Applies to:

Oracle Applications Technology Stack - Version 12.0.6 to 12.1.3 [Release 12.0 to 12.1]
Information in this document applies to any platform.

Symptoms

On Oracle Applications 12.0.4 version,
when attempting to run $ORACLE_HOME/nls/data/old/cr9idata.pl, based on Note 881505.1: Interoperability Notes Oracle EBS 11i with Oracle Database 11gR2 (11.2.0) (Doc ID 881505.1)
Section "Create nls/data/9idata directory"
the following error occurs:

Perl lib version (5.10.0) doesn't match executable version (v5.10.1) at /data1/DEV
/devdb/perl/lib/5.10.0/x86_64-linux-thread-multi/Config.pm line 46.

 
The issue can be reproduced at will with the following steps:
1. Run the command in the $ORACLE_HOME/nls/data/old/cr9idata.pl to create nls/data/9idata directory.
2. Error occurs.

The issue has the following business impact:
Due to this issue, users cannot run this command successfully.

Changes

Customer referred to: <Note 881505.1>: Interoperability Notes Oracle EBS 11i with Oracle Database 11gR2 (11.2.0) (Doc ID 881505.1)
section "Create nls/data/9idata directory".

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms